<?php
/**
 * Created by PhpStorm.
 * User: ntaylor-visionware
 * Date: 12/11/17
 * Time: 3:03 PM
 */

namespace Hilco\Models;


class PromotionSourceTrigger extends PromotionTriggerDetails {
    protected $table = 'PromotionSourceTriggers';
    protected $fillable = ['is_for_b2b', 'is_for_cst', 'commit_sequence'];

    public function isTriggered(Customer $soldToCustomer, $webCartItems, $distinctPartInfo = []) {
        return $this->is_for_b2b || !$this->is_for_cst;
    }

    public function postTriggerOperation($soldToCustomer) {

    }
}